Bug 1980573 - [abrt] spice-vdagent: vdagent_x11_do_read(): spice-vdagent killed by SIGSEGV
Summary: [abrt] spice-vdagent: vdagent_x11_do_read(): spice-vdagent killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spice-vdagent
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e90bc3a49117e6a404a46194dd1...
: 2012270 2016376 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-08 21:42 UTC by Jan Vlug
Modified: 2021-10-28 19:31 UTC (History)
8 users (show)

Fixed In Version: spice-vdagent-0.21.0-4.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 19:31:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.84 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: core_backtrace (6.12 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: cpuinfo (2.13 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: dso_list (629 bytes, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: environ (2.38 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: exploitable (82 bytes, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: limits (1.29 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: maps (3.99 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: mountinfo (2.59 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: open_fds (951 bytes, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details
File: var_log_messages (2.51 KB, text/plain)
2021-07-08 21:42 UTC, Jan Vlug
no flags Details

Description Jan Vlug 2021-07-08 21:42:06 UTC
Description of problem:
Trying to figure out what is causing this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1951173 (Auto resize VM with window does not work)

Version-Release number of selected component:
spice-vdagent-0.21.0-1.fc34

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-org.gnome.Terminal.slice/vte-spawn-cd12e860-fef5-4bcf-9e6d-afe9f0f63c03.scope
cmdline:        spice-vdagent -d
crash_function: vdagent_x11_do_read
executable:     /usr/bin/spice-vdagent
journald_cursor: s=9471be65ca094ed48828c19bcc640de3;i=1a7c;b=8a874116d1ff4970a870fcb8b3aee876;m=10ad21bd;t=5c6a33d0715ab;x=e8014164e0e1bdbe
kernel:         5.12.13-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 vdagent_x11_do_read at src/vdagent/x11.c:627
 #1 x11_io_channel_cb at src/vdagent/display.c:267
 #4 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4131

Comment 1 Jan Vlug 2021-07-08 21:42:10 UTC
Created attachment 1799800 [details]
File: backtrace

Comment 2 Jan Vlug 2021-07-08 21:42:12 UTC
Created attachment 1799801 [details]
File: core_backtrace

Comment 3 Jan Vlug 2021-07-08 21:42:13 UTC
Created attachment 1799802 [details]
File: cpuinfo

Comment 4 Jan Vlug 2021-07-08 21:42:14 UTC
Created attachment 1799803 [details]
File: dso_list

Comment 5 Jan Vlug 2021-07-08 21:42:16 UTC
Created attachment 1799804 [details]
File: environ

Comment 6 Jan Vlug 2021-07-08 21:42:17 UTC
Created attachment 1799805 [details]
File: exploitable

Comment 7 Jan Vlug 2021-07-08 21:42:19 UTC
Created attachment 1799806 [details]
File: limits

Comment 8 Jan Vlug 2021-07-08 21:42:20 UTC
Created attachment 1799807 [details]
File: maps

Comment 9 Jan Vlug 2021-07-08 21:42:22 UTC
Created attachment 1799808 [details]
File: mountinfo

Comment 10 Jan Vlug 2021-07-08 21:42:23 UTC
Created attachment 1799809 [details]
File: open_fds

Comment 11 Jan Vlug 2021-07-08 21:42:25 UTC
Created attachment 1799810 [details]
File: proc_pid_status

Comment 12 Jan Vlug 2021-07-08 21:42:26 UTC
Created attachment 1799811 [details]
File: var_log_messages

Comment 13 Leandro Costa da Silva 2021-10-08 17:21:12 UTC
*** Bug 2012270 has been marked as a duplicate of this bug. ***

Comment 14 Daniel Ziegenberg 2021-10-21 12:32:37 UTC
*** Bug 2016376 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2021-10-21 15:58:34 UTC
FEDORA-2021-1babdf4b97 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1babdf4b97

Comment 16 Victor Toso 2021-10-21 16:02:04 UTC
Hi Jan, sorry I missed the original bug 1951173 - there was the comment 12 there [0] about agent's unit that was merged a few months ago [1].

[0] https://bugzilla.redhat.com/show_bug.cgi?id=1951173#c12
[1] https://gitlab.freedesktop.org/spice/linux/vd_agent/-/merge_requests/37

The patch was backported to Fedora 34 but a build was not made, so I just did it [2]
Please try it out, for this crash and the resising issue too.

https://bodhi.fedoraproject.org/updates/FEDORA-2021-1babdf4b97

Comment 17 Fedora Update System 2021-10-21 16:53:23 UTC
FEDORA-2021-1babdf4b97 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1babdf4b97`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1babdf4b97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-10-28 19:31:35 UTC
FEDORA-2021-1babdf4b97 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.